/*
Si considerino i seguenti elementi:
- la struttura conto costituita dai seguenti membri: cod_conto, saldo_lire,
  saldo_euro (di tipo float), rate_lire (array di 4 float)
- un array bidimensionale dati che per ogni riga riporta i valori cod_conto,
  saldo_lire, rata1, rata2, rata3 di un singolo cliente.
Si scriva un programma che esegua i seguenti passi:
- crei un array, clienti, di DIM elementi di tipo struttura conto
- ciclicamente, legga una riga dell'array dati e ne assegni i valori ai
  corrispondenti membri della struttura che costituisce l'elemento i-esimo
  dell'array clienti. I due dati mancanti, il membro saldo_euro e il quarto
  elemento di rate_lire, devono esserre calcolati nella seguente maniera:
  saldo_euro e' l'equivalente in euro del saldo_lire, il quarto elemento di
  rate_lire e' la differenza fra saldo_lire e le precedenti tre rate
- esegua una stampa dei dati presenti nell'array clienti.
*/

#include <stdio.h>
#define NUM_CLIENTI 3
#define NUM_DATI 5
#define DIM_CONTO 4
#define DIM 21

int main()
{
   typedef struct{
      float cod_conto;
	  float saldo_lire;
	  float saldo_euro;
	  float rate_lire[DIM_CONTO];
   }conto;

//					3			5		 cod_con  sal_lir	rata1	 rata2	  rata3
   float dati[NUM_CLIENTI][NUM_DATI] = { {211356, 5348000, 1250000, 1400000, 1500000},
                                         {212467, 6345000, 1780000, 1650000, 1500000},
                                         {213984, 4245000, 1234000, 1100000, 1300000} };

   conto clienti[DIM];

   for(int i=0,k=0; i<DIM && k<NUM_CLIENTI; i+=7, k++){
         clienti[i].cod_conto=dati[k][0];
         clienti[i+1].saldo_lire=dati[k][1];
		 clienti[i+2].saldo_euro=((dati[k][1])/(1936.27));
		 for(int r=0; r<DIM_CONTO-1; r++)
            clienti[i+r+3].rate_lire[r]=dati[k][r+2];
         clienti[i+6].rate_lire[3]=(dati[k][1]-dati[k][2]-dati[k][3]-dati[k][4]);
		 }

   for(int j=0; j<DIM ;j+=7)
      printf("Cliente%d:\ncod_con:%.0f   sal_lir:%.0f   sal_eur:%.2f\nrata1:%.0f   rata2:%.0f   rata3:%.0f   rata4:%.0f\n",
      (j/7)+1, clienti[j].cod_conto,clienti[j+1].saldo_lire,clienti[j+2].saldo_euro,clienti[j+3].rate_lire[0],
      clienti[j+4].rate_lire[1],clienti[j+5].rate_lire[2],clienti[j+6].rate_lire[3]);

return 0;
}
