/*
Si integri il programma precedente (esercizio proposto 3) nel modo seguente:
-si crei una funzione che riceva come parametri il puntatori ad una struttura
 di tipo conto e un array, rate_euro, di quattro elementi. Tale funzione
 partendo dai dati del membro rate_lire, li converte in euro e ne assegna il
 valore ai corrispondenti elementi dell'array rate_euro
-si faccia in modo che nel main(), per ogni elemento dell'array clienti, si
 chiami la funzione sopra citata e si effettui la stampa delle rate in euro i
 cui valori sono stati restituiti dalla funzione in rate_euro.
*/


#include <stdio.h>
#define NUM_CLIENTI 3
#define NUM_DATI 5
#define DIM_CONTO 4
#define DIM 21

typedef struct{
      float cod_conto;
	  float saldo_lire;
	  float saldo_euro;
	  float rate_lire[DIM_CONTO];
   }conto;


void funzione(conto *, float [], int, int);


int main()
{

//					3			5		 cod_con  sal_lir	rata1	 rata2	  rata3
   float dati[NUM_CLIENTI][NUM_DATI] = { {211356, 5348000, 1250000, 1400000, 1500000},
                                         {212467, 6345000, 1780000, 1650000, 1500000},
                                         {213984, 4245000, 1234000, 1100000, 1300000} };

   float rate_euro[DIM_CONTO];

   conto clienti[DIM];

   for(int i=0,k=0; i<DIM && k<NUM_CLIENTI; i+=7, k++){
         clienti[i].cod_conto=dati[k][0];
         clienti[i+1].saldo_lire=dati[k][1];
		 clienti[i+2].saldo_euro=((dati[k][1])/(1936.27));
		 for(int r=0; r<DIM_CONTO-1; r++)
            clienti[i+r+3].rate_lire[r]=dati[k][r+2];
         clienti[i+6].rate_lire[3]=(dati[k][1]-dati[k][2]-dati[k][3]-dati[k][4]);
		 }

   for(int j=0; j<DIM ;j+=7)
      printf("Cliente%d:\nCodice conto:   %.0f\nSaldo lire:    %.0f\nSaldo euro:    %.2f\nRata lire 1:   %.0f\nRata lire 2:   %.0f\nRata lire 3:   %.0f\nRata lire 4:   %.0f\n\n",
      (j/7)+1, clienti[j].cod_conto,clienti[j+1].saldo_lire,clienti[j+2].saldo_euro,clienti[j+3].rate_lire[0],
      clienti[j+4].rate_lire[1],clienti[j+5].rate_lire[2],clienti[j+6].rate_lire[3]);

   for(int t=0; t<DIM; t+=7)
      funzione(&clienti[t], rate_euro, DIM_CONTO, t/7+1);

return 0;
}



void funzione(conto *p1, float rate_eu[], int dim_con, int n_clie)
{
   for(int i=0; i<4; i++)
      rate_eu[i]=(p1[3+i].rate_lire[i])/(1936.27);

   printf("Cliente%d\n", n_clie);
   for(int k=0; k<dim_con; k++)
      printf("Rata euro %d:   %.2f\n",k+1, rate_eu[k]);
   printf("\n");

	return;
}
